=== debian/changelog ===
libkf5libkleo (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:18:28 +0000

libkf5libkleo (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:25:03 +0000

libkf5libkleo (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:32:52 +0000

libkf5libkleo (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:29:57 +0000

libkf5libkleo (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:25:15 +0000

libkf5libkleo (4:21.11.80-0ubuntu2) jammy; urgency=medium

  * Fix symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Mon, 22 Nov 2021 07:01:12 +0000

libkf5libkleo (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Refresh enable_debianabimanager.diff
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:32:15 +0000

libkf5libkleo (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:47:35 +0000

libkf5libkleo (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:40:29 +0100

libkf5libkleo (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:10:10 +0100

libkf5libkleo (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:04:38 +0100

libkf5libkleo (4:21.07.80-0ubuntu2) impish; urgency=medium

  * Fix symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 15:26:21 +0100

libkf5libkleo (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Disable tests at build time.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:44:45 +0100

libkf5libkleo (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:51:27 +0100

libkf5libkleo (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:48:51 +0100

libkf5libkleo (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:15:15 +0100

libkf5libkleo (4:21.04.0-0ubuntu2) impish; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 12:14:28 +0100

libkf5libkleo (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Update enable_debianabimanager.diff
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:46:23 +0100
