=== debian/control ===
Source: libkf5libkleo
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev (>= 1.34.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5pimtextedit-dev (>= 21.12.3~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkleo
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkleo

Package: libkf5libkleo-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libkf5libkleo5 (<= 4:16.04), ${kde-l10n:all}
Replaces: libkf5libkleo5 (<= 4:16.04), ${kde-l10n:all}
Description: KDE PIM cryptographic library, data files
 This package contains the data files used by libkleo, a library for Kleopatra
 and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkleo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libboost-dev (>= 1.34.0~),
         libgpgme-dev,
         libgpgmepp-dev,
         libkf5itemmodels-dev (>= 5.31.0~),
         libkf5libkleo5abi1 (= ${binary:Version}),
         libkf5widgetsaddons-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM cryptographic library, devel files
 This package contains the development files for libkleo, a library for
 Kleopatra and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkleo5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5Libkleo
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM cryptographic library
 This package contains libkleo, a library for Kleopatra and other parts of KDE
 using certificate-based crypto.
 .
 This package is part of the KDE PIM module.
