=== debian/control ===
Source: libkf5libkleo
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libboost-dev (>= 1.34.0~),
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev (>= 1.15.0~),
               libkf5codecs-dev (>= 5.91.0~),
               libkf5completion-dev (>= 5.91.0~),
               libkf5config-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5itemmodels-dev (>= 5.91.0~),
               libkf5pimtextedit-dev (>= 22.04.2~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~)
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/pim/libkleo
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkleo
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkleo.git
Rules-Requires-Root: no

Package: libkf5libkleo-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libkf5libkleo5 (<= 4:16.04)
Replaces: libkf5libkleo5 (<= 4:16.04)
Multi-Arch: foreign
Description: KDE PIM cryptographic library, data files
 This package contains the data files used by libkleo, a library for Kleopatra
 and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkleo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libboost-dev (>= 1.34.0~),
         libgpgme-dev,
         libgpgmepp-dev (>= 1.15.0~),
         libkf5codecs-dev (>= 5.91.0~),
         libkf5completion-dev (>= 5.91.0~),
         libkf5config-dev (>= 5.91.0~),
         libkf5coreaddons-dev (>= 5.91.0~),
         libkf5i18n-dev (>= 5.91.0~),
         libkf5itemmodels-dev (>= 5.91.0~),
         libkf5libkleo5 (= ${binary:Version}),
         libkf5pimtextedit-dev (>= 22.04.2~),
         libkf5widgetsaddons-dev (>= 5.91.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends}
Description: KDE PIM cryptographic library, devel files
 This package contains the development files for libkleo, a library for
 Kleopatra and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkleo5
Architecture: any
Multi-Arch: same
Depends: libkf5libkleo-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM cryptographic library
 This package contains libkleo, a library for Kleopatra and other parts of KDE
 using certificate-based crypto.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}
