=== debian/changelog ===
libkf5libkleo (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:47:39 +0100

libkf5libkleo (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Refresh enable_debianabimanager.diff
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:56:50 +0100

libkf5libkleo (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:34:49 +0100

libkf5libkleo (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:09:28 +0100

libkf5libkleo (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:08:38 +0100

libkf5libkleo (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.
  * Update synbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:55:57 +0100
