## libkf5libkleo 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.21.1")
+set(PIM_VERSION "5.22.3")
 
 project(libkleo VERSION ${PIM_VERSION})
 
-set(KF5_MIN_VERSION "5.95.0")
+set(KF5_MIN_VERSION "5.99.0")
 
 if (WIN32)
   set(KF5_WANT_VERSION "5.70.0")
@@ -37,7 +37,10 @@
 
 set(LIBKLEO_LIB_VERSION ${PIM_VERSION})
 set(QT_REQUIRED_VERSION "5.15.2")
-set(KDEPIMTEXTEDIT_VERSION "5.21.1")
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+endif()
+set(KDEPIMTEXTEDIT_VERSION "5.22.3")
 set(GPGME_REQUIRED_VERSION "1.15.0")
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
@@ -65,6 +68,9 @@
 if (Gpgmepp_VERSION VERSION_GREATER_EQUAL "1.16.0")
     set(GPGMEPP_SUPPORTS_TRUST_SIGNATURES 1)
 endif()
+if (QGpgme_VERSION VERSION_GREATER_EQUAL "1.18.1")
+    set(QGPGME_LISTALLKEYSJOB_HAS_OPTIONS 1)
+endif()
 
 find_package(Boost 1.34.0)
 set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "https://www.boost.org" TYPE REQUIRED PURPOSE "Boost is required for building most KDEPIM applications")
@@ -82,7 +88,7 @@
 )
 
 ########### Targets ###########
-ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.96.0)
+ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)
 
 remove_definitions(-DQT_NO_FOREACH)
 add_definitions(-DQT_NO_EMIT)
