=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,13 @@
+# SPDX-License-Identifier: CC0-1.0
+# SPDX-FileCopyrightText: none
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 
 include(ECMAddTests)
 
-find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)
+find_package(Qt${QT_MAJOR_VERSION}Test ${REQUIRED_QT_VERSION} CONFIG QUIET)
 
-if(NOT Qt5Test_FOUND)
-    message(STATUS "Qt5Test not found, autotests will not be built.")
+if(NOT TARGET Qt::Test)
+    message(STATUS "Qt${QT_MAJOR_VERSION}Test not found, autotests will not be built.")
     return()
 endif()
 
@@ -19,6 +21,7 @@
 ecm_add_test(
     hierarchicalkeylistmodeltest.cpp
     abstractkeylistmodeltest.cpp
+    abstractkeylistmodeltest.h
     TEST_NAME hierarchicalkeylistmodeltest
     LINK_LIBRARIES KF5::Libkleo Qt::Test
 )
@@ -41,3 +44,8 @@
     newkeyapprovaldialogtest.cpp
     LINK_LIBRARIES KF5::Libkleo Qt::Widgets Qt::Test
 )
+
+ecm_add_tests(
+    hextest.cpp
+    LINK_LIBRARIES KF5::Libkleo Qt::Test
+)
