=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-
+# SPDX-License-Identifier: CC0-1.0
+# SPDX-FileCopyrightText: none
 # target_include_directories does not handle empty include paths
 include_directories(
     ${Boost_INCLUDE_DIRS}
     ${GPGME_INCLUDES}
 )
-
 add_definitions(-DTRANSLATION_DOMAIN=\"libkleopatra\")
 
 #add_definitions( -DQT_NO_CAST_FROM_ASCII )
@@ -15,9 +15,6 @@
 add_definitions( -DGPGMEPP_ERR_SOURCE_DEFAULT=13 ) # 13 is GPG_ERR_SOURCE_KLEO, even if gpg-error's too old to know about
 
 add_subdirectory( pics )
-if (BUILD_TESTING)
-   add_subdirectory( tests )
-endif()
 add_library(KF5Libkleo)
 add_library(KF5::Libkleo ALIAS KF5Libkleo)
 
@@ -31,6 +28,7 @@
    kleo/defaultkeyfilter.h
    kleo/defaultkeygenerationjob.cpp
    kleo/defaultkeygenerationjob.h
+   kleo/docaction.cpp
    kleo/dn.cpp
    kleo/dn.h
    kleo/enum.cpp
@@ -42,6 +40,10 @@
    kleo/keyfiltermanager.h
    kleo/keygroup.cpp
    kleo/keygroup.h
+   kleo/keygroupconfig.cpp
+   kleo/keygroupconfig.h
+   kleo/keygroupimportexport.cpp
+   kleo/keygroupimportexport.h
    kleo/keyresolver.cpp
    kleo/keyresolver.h
    kleo/keyresolvercore.cpp
@@ -77,6 +79,8 @@
    utils/classify.h
    utils/compat.cpp
    utils/compat.h
+   utils/compliance.cpp
+   utils/compliance.h
    utils/cryptoconfig.cpp
    utils/cryptoconfig.h
    utils/cryptoconfig_p.h
@@ -90,12 +94,20 @@
    utils/gnupg.h
    utils/hex.cpp
    utils/hex.h
+   utils/keyhelpers.cpp
+   utils/keyhelpers.h
+   utils/qtstlhelpers.cpp
+   utils/qtstlhelpers.h
    utils/scdaemon.cpp
    utils/scdaemon.h
    utils/stringutils.cpp
    utils/stringutils.h
+   utils/systeminfo.cpp
+   utils/systeminfo.h
    utils/test.cpp
    utils/test.h
+   utils/uniquelock.cpp
+   utils/uniquelock.h
    )
 ecm_qt_declare_logging_category(KF5Libkleo HEADER libkleo_debug.h IDENTIFIER LIBKLEO_LOG CATEGORY_NAME org.kde.pim.libkleo
         DESCRIPTION "libkleo (kleo_core)"
@@ -119,15 +131,19 @@
    ui/editdirectoryservicedialog.h
    ui/filenamerequester.cpp
    ui/filenamerequester.h
-   ui/kdhorizontalline.cpp
-   ui/kdhorizontalline.h
    ui/messagebox.cpp
    ui/messagebox.h
+   ui/navigatabletreeview.cpp
+   ui/navigatabletreeview.h
+   ui/navigatabletreewidget.cpp
+   ui/navigatabletreewidget.h
    ui/progressbar.cpp
    ui/progressbar.h
    ui/progressdialog.cpp
    ui/progressdialog.h
-   )
+   ui/readerportselection.cpp
+   ui/readerportselection.h
+)
 
 ecm_qt_declare_logging_category(KF5Libkleo HEADER kleo_ui_debug.h IDENTIFIER KLEO_UI_LOG CATEGORY_NAME org.kde.pim.kleo_ui
         DESCRIPTION "libkleo (kleo_ui)"
@@ -151,16 +167,26 @@
     ui/newkeyapprovaldialog.h
     )
 
-
-target_link_libraries(KF5Libkleo PUBLIC QGpgme Gpgmepp PRIVATE Qt::Widgets
+if(MINGW)
+    # we do not care about different signedness of passed pointer arguments
+    set_source_files_properties(utils/gnupg-registry.c PROPERTIES COMPILE_OPTIONS "-Wno-pointer-sign")
+endif()
+
+target_link_libraries(KF5Libkleo PUBLIC Gpgmepp PRIVATE Qt::Widgets
                                                 KF5::I18n
                                                 KF5::Completion
                                                 KF5::ConfigCore
+                                                KF5::ConfigWidgets
                                                 KF5::CoreAddons
                                                 KF5::WidgetsAddons
                                                 KF5::ItemModels
                                                 KF5::Codecs)
 
+if (QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(KF5Libkleo PRIVATE Qt6::Core5Compat PUBLIC QGpgmeQt6)
+else()
+    target_link_libraries(KF5Libkleo PUBLIC QGpgme)
+endif()
 # Boost::headers may not be available for old versions of Boost
 if (TARGET Boost::headers)
   target_link_libraries(KF5Libkleo PRIVATE Boost::headers)
@@ -187,9 +213,10 @@
 
 install(TARGETS
     KF5Libkleo
-    EXPORT KF5LibkleoTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
-)
-
+    EXPORT KF5LibkleoTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
+)
+
+target_include_directories(KF5Libkleo INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Libkleo>")
 target_include_directories(KF5Libkleo PUBLIC "$<BUILD_INTERFACE:${libkleo_SOURCE_DIR}/src;${libkleo_BINARY_DIR}/src>")
 
 ecm_generate_headers(libkleo_CamelCase_HEADERS
@@ -198,12 +225,15 @@
   Debug
   DefaultKeyFilter
   DefaultKeyGenerationJob
+  DocAction
   Dn
   Enum
   KConfigBasedKeyFilter
   KeyFilter
   KeyFilterManager
   KeyGroup
+  KeyGroupConfig
+  KeyGroupImportExport
   KeyResolver
   KeyResolverCore
   KeyserverConfig
@@ -237,13 +267,19 @@
   Assuan
   Classify
   Compat
+  Compliance
   CryptoConfig
   FileSystemWatcher
   Formatting
   GnuPG
+  Hex
+  KeyHelpers
+  QtStlHelpers
   SCDaemon
   StringUtils
+  SystemInfo
   Test
+  UniqueLock
   REQUIRED_HEADERS libkleo_utils_HEADERS
   PREFIX Libkleo
   RELATIVE utils
@@ -256,31 +292,40 @@
   DirectoryServicesWidget
   EditDirectoryServiceDialog
   FileNameRequester
-  KDHorizontalLine
   KeyApprovalDialog
+  KeyListView
   KeyRequester
   KeySelectionCombo
   KeySelectionDialog
   MessageBox
+  NavigatableTreeView
+  NavigatableTreeWidget
   NewKeyApprovalDialog
   ProgressDialog
+  ReaderPortSelection
   REQUIRED_HEADERS libkleo_ui_HEADERS
   PREFIX Libkleo
   RELATIVE ui
 )
 
+if (QT_MAJOR_VERSION STREQUAL "6")
 ecm_generate_pri_file(BASE_NAME Libkleo
     LIB_NAME KF5Libkleo
-    DEPS "QGpgme" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/Libkleo
-)
-
+    DEPS "QGpgme" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/Libkleo
+)
+else()
+ecm_generate_pri_file(BASE_NAME Libkleo
+    LIB_NAME KF5Libkleo
+    DEPS "QGpgmeQt6" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/Libkleo
+)
+endif()
 
 install(FILES
     ${libkleo_CamelCase_HEADERS}
     ${libkleo_CamelCase_models_HEADERS}
     ${libkleo_CamelCase_ui_HEADERS}
     ${libkleo_CamelCase_utils_HEADERS}
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/Libkleo
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Libkleo/Libkleo
     COMPONENT Devel
 )
 
@@ -290,7 +335,7 @@
     ${libkleo_models_HEADERS}
     ${libkleo_ui_HEADERS}
     ${libkleo_utils_HEADERS}
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libkleo
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Libkleo/libkleo
     COMPONENT Devel
 )
 install(FILES
